Package org.h2gis.functions.spatial.edit

# Class ST_RemoveHoles

java.lang.Object
org.h2gis.api.AbstractFunction
org.h2gis.api.DeterministicScalarFunction
org.h2gis.functions.spatial.edit.ST_RemoveHoles

All Implemented Interfaces:
  `org.h2gis.api.Function`, `org.h2gis.api.ScalarFunction`

public class ST_RemoveHoles extends org.h2gis.api.DeterministicScalarFunction
Removes any holes from a polygon or multipolygon

Author:
  Erwan Bocher CNRS

## Field Summary

### Fields inherited from interface org.h2gis.api.Function

`PROP_NAME, PROP_REMARKS`

### Fields inherited from interface org.h2gis.api.ScalarFunction

`PROP_DETERMINISTIC`

## Constructor Summary

Constructors
Constructor
Description
`ST_RemoveHoles()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getJavaStaticMethod()`
`static org.locationtech.jts.geom.Geometry`
`removeHoles(org.locationtech.jts.geom.Geometry geometry)`
Remove any holes from the geometry.
`static org.locationtech.jts.geom.MultiPolygon`
`removeHolesMultiPolygon(org.locationtech.jts.geom.MultiPolygon multiPolygon)`
Create a new multiPolygon without hole.
`static org.locationtech.jts.geom.Polygon`
`removeHolesPolygon(org.locationtech.jts.geom.Polygon polygon)`
Create a new polygon without hole.

### Methods inherited from class org.h2gis.api.AbstractFunction

`addProperty, getProperty, removeProperty`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.h2gis.api.Function

`getProperty`

## Constructor Details

### ST_RemoveHoles

public ST_RemoveHoles()

## Method Details

### getJavaStaticMethod

public String getJavaStaticMethod()

### removeHoles

public static org.locationtech.jts.geom.Geometry removeHoles(org.locationtech.jts.geom.Geometry geometry)
Remove any holes from the geometry. If the geometry doesn't contain any holes, return it unchanged.

Parameters:
  `geometry` - Geometry
Returns:
  Geometry with no holes *

### removeHolesMultiPolygon

public static org.locationtech.jts.geom.MultiPolygon removeHolesMultiPolygon(org.locationtech.jts.geom.MultiPolygon multiPolygon)
Create a new multiPolygon without hole.

Parameters:
  `multiPolygon` -
Returns:

### removeHolesPolygon

public static org.locationtech.jts.geom.Polygon removeHolesPolygon(org.locationtech.jts.geom.Polygon polygon)
Create a new polygon without hole.

Parameters:
  `polygon` -
Returns: